<template>
  <li class="alternative" @click="answer(alternative)">
    {{ decodeAlternative(alternative) }}
  </li>
</template>

<script>
import decode from "../../../utils/decode";
import { mapActions } from "vuex";

export default {
  name: "QuestionPageAlternative",
  props: {
    alternative: String,
  },

  methods: {
    ...mapActions(["answer"]),

    decodeAlternative(alternative) {
      return decode(alternative);
    },
  },
};
</script>

<style>
.alternative {
  padding: 5px;
  margin: 5px;
  text-align: center;
  font-size: large;
  width: 100%;
  border: 1px solid black;
  background-color: rgb(144, 199, 250);
  border: 1px solid rgb(45, 121, 192);
}
.alternative:hover {
  background-color: rgb(115, 187, 253);
}
</style>